#ifndef BINARY_STRING_H
#define BINARY_STRING_H
#ifdef _WIN32
	#ifdef _MSC_VER
		#if _MSC_VER >= 1600
			#include <stdint.h>
		#else
			typedef int int32_t;
		#endif
	#else
		#include <stdint.h>
	#endif
#else
#include <stdint.h>
#endif

typedef struct BinaryString
{
	unsigned char * data;
	long int bits;
	void * aux;
} BinaryString;

typedef struct BinaryString32
{
	unsigned char * data;
	int32_t bits;
	void * aux;
} BinaryString32;

int getBinaryStringStartingPosition(const BinaryString *bs);
void setBinaryStringStartingPosition(BinaryString *bs, int nBitPosition);

#endif //BINARY_STRING_H
