#ifndef MM_TRI_PA
#define MM_TRI_PA

#include "Shared/TriStructs.h"

TriStatus triPAReset();
TriStatus triExternalFunction (const TriFunctionId* functionId,
			       TriParameterList* parameterList,
			       TriParameter* returnValue);
TriStatus triStartTimer (const TriTimerId* timerId, TriTimerDuration timerDuration);
TriStatus triStopTimer (const TriTimerId* timerId);
TriStatus triReadTimer (const TriTimerId* timerId, TriTimerDuration* elapsedTime);
TriStatus triTimerRunning (const TriTimerId* timerId, unsigned char* running);

#endif
